TestMetaObjectParser (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.trolltech.TestMetaObjectParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.trolltech
Class TestMetaObjectParser

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sf.antcontrib.cpptasks.trolltech.TestMetaObjectParser

All Implemented Interfaces:
  junit.framework.Test

    public final class TestMetaObjectParser

extends junit.framework.TestCase

Tests for the MetaObjectParser class.

Constructor Summary
`TestMetaObjectParser(java.lang.String name)` Constructor.

Method Summary
`void` | `testHasQObject1()` Test that the presence of Q_OBJECT causes hasQObject to return true.
`void` | `testHasQObject2()` Test that the lack of Q_OBJECT causes hasQObject to return false.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestMetaObjectParser

    public TestMetaObjectParser(java.lang.String name)

  Constructor.

  Parameters:
    `name` - String test name

Method Detail

### testHasQObject1

    public void testHasQObject1()
                         throws java.io.IOException

  Test that the presence of Q_OBJECT causes hasQObject to return true.

  Throws:
    `java.io.IOException` - test fails on IOException

### testHasQObject2

    public void testHasQObject2()
                         throws java.io.IOException

  Test that the lack of Q_OBJECT causes hasQObject to return false.

  Throws:
    `java.io.IOException` - test fails on IOException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.